Subject: bug#25148:

From: Kristiyan Kanchev <[email-masked]>
Date: Wed, 14 Dec 2016 20:14:22 +0200

On Wed, Dec 14, 2016 at 7:00 PM, <[email-masked]> wrote:

> Ahaaaa!
> Yes, I have non-ASCII characters! The characters that are causing this
> are:
>
>              position: 2465 of 4273 (58%), column: 30
>             character: ⓐ (displayed as ⓐ) (codepoint 9424, #o22320, #x24d0)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x24D0
>                script: symbol
>                syntax: w        which means: word
>              category: .:Base, L:Left-to-right (strong), h:Korean,
> j:Japanese, l:Latin
>              to input: type "C-x 8 RET 24d0" or "C-x 8 RET CIRCLED LATIN
> SMALL LETTER A"
>           buffer code: #xE2 #x93 #x90
>             file code: #xE2 #x93 #x90 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     uniscribe:-outline-Malgun Gothic-normal-normal-normal-sans-13-*-*-*-p-*-ksc5601.1987-0
> (#xDB)
>
> Character code properties: customize what to show
>   name: CIRCLED LATIN SMALL LETTER A
>   general-category: So (Symbol, Other)
>   decomposition: (circle 97) (circle 'a')
>
> There are text properties here:
>   face                 font-lock-string-face
>   fontified            t
>
> and:
>
>              position: 2832 of 4394 (64%), column: 30
>             character: ⓒ (displayed as ⓒ) (codepoint 9426, #o22322, #x24d2)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x24D2
>                script: symbol
>                syntax: w        which means: word
>              category: .:Base, L:Left-to-right (strong), h:Korean,
> j:Japanese, l:Latin
>              to input: type "C-x 8 RET 24d2" or "C-x 8 RET CIRCLED LATIN
> SMALL LETTER C"
>           buffer code: #xE2 #x93 #x92
>             file code: #xE2 #x93 #x92 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     uniscribe:-outline-Malgun Gothic-normal-normal-normal-sans-13-*-*-*-p-*-ksc5601.1987-0
> (#xDD)
>
> Character code properties: customize what to show
>   name: CIRCLED LATIN SMALL LETTER C
>   general-category: So (Symbol, Other)
>   decomposition: (circle 99) (circle 'c')
>
> There are text properties here:
>   face                 font-lock-string-face
>   fontified            t
>
>
> If I remove these symbols from the init file scrolling gets very
> smooth. So I guess the Malgun Gothic is the culprit!
>

I'll try tomorrow when I go back to work. However, It would be good to have
proper
fix for when new people want to use Emacs and the standard fonts that come
with Windows.

-- 
//